{
  "name": "webtemplatestudio-local",
  "displayName": "Web Template Studio (local)",
  "description": "Web Template Studio enables developers to quickly scaffold full-stack web applications with cloud services.",
  "version": "0.0.0-UNTRACKEDVERSION",
  "publisher": "WASTeamAccount",
  "aiKey": "###AIKEY###",
  "engines": {
    "vscode": "^1.38.0"
  },
  "categories": [
    "Other"
  ],
  "galleryBanner": {
    "color": "#eff1f3",
    "theme": "light"
  },
  "icon": "resources/WebTSLogoSquare.png",
  "keywords": [
    "Open Source",
    "Full Stack",
    "Web Application",
    "Scaffolding",
    "Templates",
    "Boilerplate",
    "React",
    "Angular",
    "Vue.js",
    "Node",
    "ASP.NET",
    "Express",
    "Flask",
    "Azure Services",
    "Azure Cosmos DB",
    "Azure App Service",
    "Moleculer",
    "MoleculerJS"
  ],
  "preview": true,
  "homepage": "https://github.com/Microsoft/WebTemplateStudio/blob/master/README.md",
  "bugs": {
    "url": "https://github.com/Microsoft/WebTemplateStudio/issues"
  },
  "license": "SEE LICENSE IN LICENSE.md",
  "repository": {
    "type": "git",
    "url": "https://github.com/Microsoft/WebTemplateStudio",
    "vsce": "^1.57.1",
    "vscode-extension-telemetry": "^0.1.1",
    "vscode-nls": "^4.0.0"
  },
  "activationEvents": [
    "onCommand:webTemplateStudioExtension.web.createApp.local",
    "onCommand:webTemplateStudioExtension.web.deployApp.local",
    "onCommand:webTemplateStudioExtension.reactNative.createApp.local"
  ],
  "main": "./dist/extension.js",
  "contributes": {
    "commands": [
      {
        "command": "webTemplateStudioExtension.web.createApp.local",
        "title": "%webTemplateStudioExtension.commands.web.createApp%",
        "category": "%webTemplateStudioExtension.commands.category%"
      },
      {
        "command": "webTemplateStudioExtension.web.deployApp.local",
        "title": "%webTemplateStudioExtension.commands.web.deployApp%",
        "category": "%webTemplateStudioExtension.commands.category%"
      },
      {
        "command": "webTemplateStudioExtension.reactNative.createApp.local",
        "title": "%webTemplateStudioExtension.commands.reactNative.createApp%",
        "category": "%webTemplateStudioExtension.commands.category%"
      }
    ],
    "configuration": {
      "type": "object",
      "title": "%webTemplateStudioExtension.commands.category%",
      "properties": {
        "wts.changeSaveToLocation": {
          "type": "string",
          "default": "",
          "description": "Set default project location for your project."
        },
        "wts.enablePreviewMode": {
          "type": "boolean",
          "default": false,
          "description": "Enable upcoming features; Warning: may cause stability issues."
        },
        "wts.legalResources": {
          "type": "null",
          "markdownDescription": "[Privacy Link](https://privacy.microsoft.com/en-US/privacystatement) | [Terms of Use](https://www.microsoft.com/en-us/legal/intellectualproperty/copyright/default.aspx)"
        }
      }
    }
  },
  "scripts": {
    "webpack-prod": "webpack --mode production",
    "webpack": "webpack --mode development",
    "webpack-dev": "webpack --mode development --watch",
    "build": "tsc -p tsconfig.json",
    "compile": "tsc -p ./",
    "watch": "tsc -watch -p ./",
    "lint": "yarn eslint ./src/**/*.{ts,tsx}",
    "test": "npm run compile && node ./out/test/runTest.js",
    "template-tests": "node ./out/scripts/generate-test && node ./out/scripts/run-tests",
    "createVsixPackage": "vsce package --yarn -o \"./../../dist/webts-0.0.0-UNTRACKEDVERSION.vsix\""
  },
  "devDependencies": {
    "@types/mocha": "^7.0.2",
    "@types/node": "^14.0.14",
    "@types/vscode": "^1.38",
    "@typescript-eslint/eslint-plugin": "^3.0.1",
    "@typescript-eslint/parser": "^3.0.1",
    "del": "^5.1.0",
    "eslint": "^7.1.0",
    "event-stream": "^4.0.1",
    "kind-of": "^6.0.3",
    "mocha": "^7.2.0",
    "run-sequence": "^2.2.1",
    "ts-loader": "^7.0.5",
    "typescript": "^3.9.3",
    "vscode-nls-dev": "^3.3.1",
    "vscode-test": "^1.4.0",
    "webpack": "^4.43.0",
    "webpack-cli": "^3.3.11"
  },
  "extensionDependencies": [
    "ms-vscode.azure-account",
    "ms-azuretools.vscode-azureappservice"
  ],
  "dependencies": {
    "@types/archiver": "^3.1.0",
    "@types/fs-extra": "^9.0.1",
    "@types/node-fetch": "^2.5.6",
    "@types/opn": "^5.5.0",
    "@types/request": "^2.48.4",
    "@types/rimraf": "^3.0.0",
    "@types/semver": "^7.2.0",
    "archiver": "^4.0.1",
    "axios": "^0.19.2",
    "azure-arm-cosmosdb": "^2.3.0",
    "azure-arm-resource": "^7.3.0",
    "azure-arm-website": "^5.7.0",
    "clean-webpack-plugin": "^3.0.0",
    "fs-extra": "^9.0.0",
    "global": "^4.4.0",
    "latest-version": "^5.1.0",
    "log4js": "^6.3.0",
    "ms-rest": "^2.5.4",
    "ms-rest-azure": "^3.0.0",
    "node-fetch": "^2.6.1",
    "node-fs-extra": "^0.8.2",
    "opn": "^6.0.0",
    "p-retry": "^4.2.0",
    "rimraf": "^3.0.2",
    "url-parse": "^1.4.7",
    "vsce": "^1.75.0",
    "vscode-extension-telemetry": "^0.1.6",
    "vscode-nls": "^4.1.2",
    "webpack-filter-warnings-plugin": "^1.2.1"
  }
}
